{% extends 'diplomas/index.html' %}
{% load static %}
{% block title %}{{ current_speciality.cipher }}{% endblock %}
{% load django_bootstrap_breadcrumbs %}
{% block breadcrumbs %}
  {{ block.super }}
  {% if query or tag %}
  {% else %}
    {% breadcrumb current_speciality.cipher "diplomas:speciality" current_speciality.id %}
  {% endif %}
{% endblock %}
{% block years %}
  <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
    {% for year in years %}
      <li class="nav-item">
        <a class="nav-link {% if forloop.last %}active{% endif %}" id="pills-{{ year }}-tab" data-toggle="pill"
           href="#pills-{{ year }}" role="tab"
           aria-controls="pills-{{ year }}"
           aria-selected="{% if forloop.last %}true{% else %}false{% endif %}">{{ year }}</a>
      </li>
    {% endfor %}
  </ul>
{% endblock %}
{% block list %}
  <div class="container">
    <div class="tab-content" id="pills-tabContent">
      {% for year in years %}
        <div class="tab-pane fade {% if forloop.last %}show active{% endif %}" id="pills-{{ year }}" role="tabpanel"
             aria-labelledby="pills-{{ year }}-tab">
          <div class="accordion" id="diplomaAccordion{{ year }}">
            {% for d in diplomas %}
              {% if d.year == year %}
                <div class="card">
                  <div class="card-header" id="heading{{ d.id }}">

                    <button class="btn btn-light collapsed btn-block " type="button" data-toggle="collapse"
                            data-target="#collapse{{ d.id }}" aria-expanded="false"
                            aria-controls="collapse{{ d.id }}">
                      {{ d.theme }}
                    </button>

                  </div>
                  <div id="collapse{{ d.id }}" class="collapse" aria-labelledby="heading{{ d.id }}"
                       data-parent="#diplomaAccordion{{ year }}">
                    <div class="card-body" align="justify">
                      {% if query or tag %}
                        <p>{{ d.speciality|default_if_none:'' }}</p>
                      {% endif %}
                      {{ d.abstract|safe }}
                      <hr>
                      {% if d.tag.all|length > 0 %}
                        {% for tag in d.tag.all %}
                          <a href="/diplomas/tag/{{ tag.id }}" class="badge badge-primary">{{ tag }}</a>
                        {% endfor %}
                      {% endif %}
                      <br>
                      {% if perms.diplomas.change_diploma %}
                        <a href="/admin/diplomas/diploma/{{ d.id }}/change/"><i class="far fa-edit"></i></a>
                      {% endif %}
                      <a href="{{ d.file.url }}">Открыть PDF-файл</a>
                      <span style="float:right;"><a href="#diplomas{{ d.id }}">#</a></span>
                    </div>
                  </div>
                </div>
              {% endif %}
            {% endfor %}
          </div>
        </div>
      {% endfor %}
    </div>


  </div>

{% endblock %}
